Subject: Re: Can't build doc anymore (v1.7.3.2)

From: Francis Moreau <[email-masked]>
Date: Mon, 22 Nov 2010 21:44:36 +0100

Drew Northup <[email-masked]> writes:

> On Mon, 2010-11-22 at 20:45 +0100, Francis Moreau wrote:
>> Hello,
>> 
>> I'm trying to build the git's documentation, but after pulling v1.7.3.2,
>
>> it fails:
>> 
>>   $ make prefix=/usr/local doc
>>   make -C Documentation all
>>   make[1]: Entering directory `/home/fmoreau/git/Documentation'
>>   make[2]: Entering directory `/home/fmoreau/git'
>>   make[2]: `GIT-VERSION-FILE' is up to date.
>>   make[2]: Leaving directory `/home/fmoreau/git'
>>       XMLTO git-fetch.1
>>   xmlto: /home/fmoreau/git/Documentation/git-fetch.xml does not validate (status 3)
>>   xmlto: Fix document syntax or use --skip-validation option
>>   I/O error : Attempt to load network entity http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
>>   /home/fmoreau/git/Documentation/git-fetch.xml:2: warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
>>   D DocBook XML V4.5//EN" "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
>>                                                                                  ^
>>   I/O error : Attempt to load network entity http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
>>   warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
>>   validity error : Could not load the external subset "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
>>   Document /home/fmoreau/git/Documentation/git-fetch.xml does not validate
>>   make[1]: *** [git-fetch.1] Error 13
>>   make[1]: Leaving directory `/home/fmoreau/git/Documentation'
>> 
>> Could anybody tell me what's now wrong ?
>
> Without more information, not specifically. However, the fix may be
> fairly simple.

What do you need exactly ?

Sorry but I know nothing about these documentation generation tools.

> Some distributions are apparently so ancient that they don't include the
> version 4.5 and newer Docbook XML XSL & DTD files. RHEL 5 and older make
> this list.

Well I'm running Fedora 14, which I wouldn't call 'ancient'.

-- 
Francis